%define major		1
%define libname		%mklibname xxf86dga %{major}
%define develname	%mklibname xxf86dga -d

Name:		libxxf86dga
Summary:	XFree86 Direct Graphics Access Extension Library
Version:	1.1.5
Release:	%mkrel 2
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXxf86dga-%{version}.tar.bz2

BuildRequires: pkgconfig(x11) >= 1.6.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
XFree86 Direct Graphics Access Extension Library.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  XFree86 Direct Graphics Access Extension Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Direct Graphics Access Extension Library.

%files -n %{libname}
%{_libdir}/libXxf86dga.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xxf86dga-static-devel < 1.1.4-2

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXxf86dga.so
%{_libdir}/pkgconfig/xxf86dga.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XDGA*.3*
%{_mandir}/man3/XF86DGA.3*
%{_mandir}/man3/XFree86-DGA.3*

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86dga-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.1.5-2.mga8
+ Revision: 1523968
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Mar 17 2019 tv <tv> 1.1.5-1.mga7
+ Revision: 1378340
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-7.mga7
+ Revision: 1299278
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.1.4-6.mga6
+ Revision: 941157
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.4-5.mga5
+ Revision: 750573
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.4-4.mga5
+ Revision: 681906
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.4-3.mga4
+ Revision: 532820
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.4-2.mga4
+ Revision: 469666
- drop unneeded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.1.4-1.mga4
+ Revision: 433603
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 358716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 09 2012 tv <tv> 1.1.3-1.mga2
+ Revision: 222133
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.1.2-2.mga2
+ Revision: 169968
- Remove .la files

* Tue Jan 11 2011 dmorgan <dmorgan> 1.1.2-1.mga1
+ Revision: 6549
- imported package libxxf86dga


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 590567
- new release

* Tue Nov 10 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.1-1mdv2010.1
+ Revision: 464050
- New version: 1.1.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-6mdv2010.0
+ Revision: 425967
- rebuild

* Sun Nov 09 2008 Adam Williamson <awilliamson@mandriva.org> 1.0.2-5mdv2009.1
+ Revision: 301209
- rebuild for new xcb

* Thu Nov 06 2008 Olivier Blin <oblin@mandriva.com> 1.0.2-4mdv2009.1
+ Revision: 300374
- rebuild for new xcb

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-3mdv2009.0
+ Revision: 223090
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.2-2mdv2008.1
+ Revision: 153292
- Update BuildRequires and rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Thierry Vignaud <tv@mandriva.org> 1.0.2-1mdv2008.1
+ Revision: 96104
- fix buildrequires
- new release

* Fri Aug 17 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.1-3mdv2008.0
+ Revision: 64691
- rebuild for 2008
- new devel policy
- spec clean


* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-18 00:15:05 (27587)
- remove trailling space in description

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 19:54:51 (26912)
- fixed more dependencies

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

